Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## proscene
Enum PSCamera.Type

    java.lang.Object
      java.lang.Enum<PSCamera.Type>
          proscene.PSCamera.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PSCamera.Type>

Enclosing class:
  PSCamera

    public static enum PSCamera.Type

extends java.lang.Enum<PSCamera.Type>

Enumerates the two possible types of Camera.

This type mainly defines different camera projection matrix. Many other methods take this Type into account.

Enum Constant Summary
`ORTHOGRAPHIC`
`PERSPECTIVE`

Method Summary
`static PSCamera.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PSCamera.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSPECTIVE

    public static final PSCamera.Type PERSPECTIVE

### ORTHOGRAPHIC

    public static final PSCamera.Type ORTHOGRAPHIC

Method Detail

### values

    public static PSCamera.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PSCamera.Type c : PSCamera.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PSCamera.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

processing library glgraphics by Andres Colubri. (c) 2008